Upstream information

CVE-2021-20266 at MITRE

Description

A flaw was found in RPM's hdrblobInit() in lib/header.c. This flaw allows an attacker who can modify the rpmdb to cause an out-of-bounds read. The highest threat from this vulnerability is to system availability.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4
Vector AV:N/AC:L/Au:S/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 4.9 3.1
Vector CVSS:3.1/AV:N/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:L
Access Vector Network Network
Access Complexity Low High
Privileges Required High Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1183632 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container bci/golang:1.16
Container bci/golang:1.17
Container bci/init:latest
Container bci/minimal:latest
Container bci/nodejs:12
Container bci/nodejs:14
Container bci/openjdk-devel:11
Container bci/openjdk:11
Container bci/ruby:2.5
Container suse/sle15:15.3
Image SLES15-SP3-CHOST-BYOS-Aliyun
Image SLES15-SP3-CHOST-BYOS-Azure
Image SLES15-SP3-CHOST-BYOS-EC2
Image SLES15-SP3-CHOST-BYOS-GCE
  • rpm-ndb >= 4.14.3-37.2
Container ses/7/ceph/grafana:latest
Container ses/7/cephcsi/cephcsi:latest
Container ses/7/prometheus-webhook-snmp:latest
Container ses/7/prometheus/prometheus-alertmanager:latest
Container ses/7/prometheus/prometheus-node-exporter:latest
Container ses/7/prometheus/prometheus-server:latest
Container suse/sle15:15.2
  • rpm >= 4.14.1-22.4.2
Container trento/trento-runner:latest
  • python3-rpm >= 4.14.3-37.2
Image SLES15-SP2-CHOST-BYOS-Aliyun
Image SLES15-SP2-CHOST-BYOS-Azure
Image SLES15-SP2-CHOST-BYOS-EC2
Image SLES15-SP2-CHOST-BYOS-GCE
  • rpm-ndb >= 4.14.1-22.4.2
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • python3-rpm >= 4.14.1-22.4.1
  • rpm >= 4.14.1-22.4.2
  • rpm-32bit >= 4.14.1-22.4.2
  • rpm-devel >= 4.14.1-22.4.2
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2021-3444
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • python3-rpm >= 4.14.3-37.2
  • rpm >= 4.14.3-37.2
  • rpm-32bit >= 4.14.3-37.2
  • rpm-devel >= 4.14.3-37.2
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2021-2682
SUSE Linux Enterprise Module for Development Tools 15 SP2
  • rpm-build >= 4.14.1-22.4.2
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP2-2021-3444
SUSE Linux Enterprise Module for Development Tools 15 SP3
  • rpm-build >= 4.14.3-37.2
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP3-2021-2682
SUSE Linux Enterprise Module for Public Cloud 15 SP2
  • rpm-ndb >= 4.14.1-22.4.2
Patchnames:
SUSE-SLE-Module-Public-Cloud-15-SP2-2021-3444
SUSE Linux Enterprise Module for Public Cloud 15 SP3
  • rpm-ndb >= 4.14.3-37.2
Patchnames:
SUSE-SLE-Module-Public-Cloud-15-SP3-2021-2682
SUSE Linux Enterprise Module for Python 2 15 SP2
  • python2-rpm >= 4.14.1-22.4.1
Patchnames:
SUSE-SLE-Module-Python2-15-SP2-2021-3444
SUSE Linux Enterprise Module for Python 2 15 SP3
  • python2-rpm >= 4.14.3-37.2
Patchnames:
SUSE-SLE-Module-Python2-15-SP3-2021-2682
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.1
  • rpm-build >= 4.14.1-22.4.2
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Proxy-4.1-2021-3444
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.2
  • rpm-build >= 4.14.3-37.2
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Proxy-4.2-2021-2682
SUSE Linux Enterprise Module for SUSE Manager Server 4.1
  • rpm-build >= 4.14.1-22.4.2
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Server-4.1-2021-3444
SUSE Linux Enterprise Module for SUSE Manager Server 4.2
  • rpm-build >= 4.14.3-37.2
Patchnames:
SUSE-SLE-Module-SUSE-Manager-Server-4.2-2021-2682
SUSE MicroOS 5.0
  • python3-rpm >= 4.14.1-22.4.1
  • rpm >= 4.14.1-22.4.2
Patchnames:
SUSE-SUSE-MicroOS-5.0-2021-3444
openSUSE Leap 15.2
  • python2-rpm >= 4.14.1-lp152.18.3.1
  • python3-rpm >= 4.14.1-lp152.18.3.1
  • rpm >= 4.14.1-lp152.18.3.1
  • rpm-32bit >= 4.14.1-lp152.18.3.1
  • rpm-build >= 4.14.1-lp152.18.3.1
  • rpm-devel >= 4.14.1-lp152.18.3.1
Patchnames:
openSUSE-2021-1366
openSUSE Leap 15.3
  • python2-rpm >= 4.14.3-37.2
  • python3-rpm >= 4.14.3-37.2
  • rpm >= 4.14.3-37.2
  • rpm-32bit >= 4.14.3-37.2
  • rpm-build >= 4.14.3-37.2
  • rpm-devel >= 4.14.3-37.2
  • rpm-ndb >= 4.14.3-37.2
  • rpm-ndb-32bit >= 4.14.3-37.2
Patchnames:
openSUSE-SLE-15.3-2021-2682


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 rpm Affected
SLES15-EC2-CHOST-HVM-BYOS rpm Affected
SLES15-SP1-CHOST-BYOS-Azure rpm Affected
SLES15-SP1-CHOST-BYOS-EC2 rpm Affected
SLES15-SP1-CHOST-BYOS-GCE rpm Affected
SUSE CaaS Platform 4.0 rpm Affected
SUSE CaaS Platform 4.5 rpm In progress
SUSE Enterprise Storage 6 rpm Affected
SUSE Enterprise Storage 7 rpm In progress
SUSE Linux Enterprise High Performance Computing 12 SP5 rpm Affected
SUSE Linux Enterprise High Performance Computing 15 LTSS rpm Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS rpm Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS rpm Affected
SUSE Linux Enterprise High Performance Computing 15 SP2 ESPOS rpm In progress
SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS rpm In progress
SUSE Linux Enterprise Micro 5.0 rpm In progress
SUSE Linux Enterprise Micro 5.1 rpm Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 rpm In progress
SUSE Linux Enterprise Module for Basesystem 15 SP3 rpm Released
SUSE Linux Enterprise Module for Development Tools 15 SP2 rpm In progress
SUSE Linux Enterprise Module for Development Tools 15 SP3 rpm Released
SUSE Linux Enterprise Point of Service 11 SP3 rpm Affected
SUSE Linux Enterprise Point of Service Image Server 12 SP2 rpm Affected
SUSE Linux Enterprise Server 11 SP1 rpm Affected
SUSE Linux Enterprise Server 11 SP3 rpm Affected
SUSE Linux Enterprise Server 11 SP4 rpm Affected
SUSE Linux Enterprise Server 11 SP4 LTSS rpm Affected
SUSE Linux Enterprise Server 12 SP2 BCL rpm Affected
SUSE Linux Enterprise Server 12 SP2 ESPOS rpm Affected
SUSE Linux Enterprise Server 12 SP2 LTSS rpm Unsupported
SUSE Linux Enterprise Server 12 SP3 BCL rpm Affected
SUSE Linux Enterprise Server 12 SP3 ESPOS rpm Affected
SUSE Linux Enterprise Server 12 SP3 LTSS rpm Affected
SUSE Linux Enterprise Server 12 SP4 ESPOS rpm Affected
SUSE Linux Enterprise Server 12 SP4 LTSS rpm Affected
SUSE Linux Enterprise Server 12 SP5 rpm Affected
SUSE Linux Enterprise Server 15 ESPOS rpm Affected
SUSE Linux Enterprise Server 15 LTSS rpm Affected
SUSE Linux Enterprise Server 15 SP1 LTSS rpm Affected
SUSE Linux Enterprise Server 15 SP2 LTSS rpm In progress
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 rpm Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 rpm In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP2 rpm Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 rpm Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 rpm Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 rpm Affected
SUSE Linux Enterprise Server for SAP Applications 15 rpm Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 rpm Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 rpm In progress
SUSE Manager Proxy 4.0 rpm Unsupported
SUSE Manager Proxy 4.1 rpm In progress
SUSE Manager Proxy Module 4.0 rpm Unsupported
SUSE Manager Proxy Module 4.1 rpm In progress
SUSE Manager Proxy Module 4.2 rpm Released
SUSE Manager Retail Branch Server 4.0 rpm Unsupported
SUSE Manager Retail Branch Server 4.1 rpm In progress
SUSE Manager Server 4.0 rpm Unsupported
SUSE Manager Server 4.1 rpm In progress
SUSE Manager Server Module 4.0 rpm Unsupported
SUSE Manager Server Module 4.1 rpm In progress
SUSE Manager Server Module 4.2 rpm Released
SUSE OpenStack Cloud 7 rpm Unsupported
SUSE OpenStack Cloud 8 rpm Affected
SUSE OpenStack Cloud 9 rpm Affected
SUSE OpenStack Cloud Crowbar 8 rpm Affected
SUSE OpenStack Cloud Crowbar 9 rpm Affected
ses/6/cephcsi/cephcsi
ses/6/rook/ceph
suse/sle15:15.0
suse/sle15:15.1
suse/sles12sp3
suse/sles12sp4
suse/sles12sp5
rpmAffected
ingress-nginx-controller:0.15.0
ses/7/ceph/ceph
ses/7/ceph/grafana
ses/7/cephcsi/cephcsi
ses/7/cephcsi/csi-attacher:v2.1.0
ses/7/cephcsi/csi-attacher:v3.0.0
ses/7/cephcsi/csi-livenessprobe:v1.1.0
ses/7/cephcsi/csi-node-driver-registrar:v1.2.0
ses/7/cephcsi/csi-node-driver-registrar:v2.0.1
ses/7/cephcsi/csi-provisioner:v1.6.0
ses/7/cephcsi/csi-provisioner:v2.0.0
ses/7/cephcsi/csi-resizer:v0.4.0
ses/7/cephcsi/csi-resizer:v1.0.0
ses/7/cephcsi/csi-snapshotter:v2.1.0
ses/7/cephcsi/csi-snapshotter:v2.1.1
ses/7/cephcsi/csi-snapshotter:v3.0.0
ses/7/prometheus-webhook-snmp
ses/7/prometheus/prometheus-alertmanager
ses/7/prometheus/prometheus-node-exporter
ses/7/prometheus/prometheus-server
ses/7/rook/ceph
suse/sle15:15.2
suse/sles/15.2/virt-api:0.38.1
suse/sles/15.2/virt-controller:0.38.1
suse/sles/15.2/virt-handler:0.38.1
suse/sles/15.2/virt-launcher:0.38.1
suse/sles/15.2/virt-operator:0.38.1
rpmIn progress